%global sfcompat bash
%global sfinc %{_datadir}/shellfu/include-%{sfcompat}
%global sfmodn yaml
%global shellfu_req shellfu >= 0.10.41, shellfu < 0.11.0

Name:       shellfu-bash-yaml
Version:    0.0.1
Release:    1%{?dist}
Summary:    yaml - YAML write utilities
URL:        https://gitlab.com/vornet/shellfu/shellfu-bash-yaml
License:    LGPLv2
Source0:    %{name}-%{version}.tar.gz
BuildArch:  noarch
BuildRequires: %shellfu_req
BuildRequires: make
BuildRequires: perl
BuildRequires: shellfu-bash-arr
BuildRequires: shellfu-bash-pretty
BuildRequires: shellfu-sh-isa

Requires: %shellfu_req
Requires: perl
Requires: shellfu-bash-arr
Requires: shellfu-bash-pretty
Requires: shellfu-sh-isa
%description
YAML write utilities

%prep
%setup -q

%build
make %{?_smp_mflags} PREFIX=/usr

%install
%make_install PREFIX=/usr

%check
test -d utils/tfkit || exit 0
make test \
    SHELLFU_PATH=%{buildroot}/%{sfinc}

%files
%doc %{_docdir}/%{name}/README.md
%{sfinc}/%{sfmodn}.sh

%changelog

# specfile built with MKit 0.0.50
